## gmobile 0.2.1

=== meson_options.txt ===
option('examples',
       type: 'boolean', value: true,
       description: 'Whether to compile the examples')

option('tests',
       type: 'boolean', value: true,
       description: 'Whether to compile unit tests')

option('gtk_doc',
       type: 'boolean', value: false,
       description: 'Whether to generate the API reference')

option('man',
       type: 'boolean', value: false,
       description : 'Whether to generate man pages (requires rst2man)')

option('introspection', type: 'boolean', value: true,
       description : 'Build introspection data (requires gobject-introspection)')

option('hwdb',
       type: 'boolean', value: true,
       description : 'Whether to install udev rules and hwdb entries')

## gmobile 0.1.0

=== debian/changelog ===
gmobile (0.1.0-3) unstable; urgency=medium

  * tests: Build depend on build-essential.
    We want to compile the test program
  * tests: Test cutout selection too

 -- Guido Günther <agx@sigxcpu.org>  Tue, 23 Apr 2024 16:43:32 +0200

gmobile (0.1.0-2) unstable; urgency=medium

  * d/control: Add Vcs URLs

 -- Guido Günther <agx@sigxcpu.org>  Sun, 21 Apr 2024 12:54:29 +0200

gmobile (0.1.0-1) unstable; urgency=medium

  * Initial Debian packaging (Closes: #1068238)

 -- Guido Günther <agx@sigxcpu.org>  Tue, 02 Apr 2024 16:30:30 +0200

=== debian/control ===
Source: gmobile
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Guido Günther <agx@sigxcpu.org>
Build-Depends:
 debhelper-compat (= 13),
 gi-docgen <!nodoc>,
 libgirepository1.0-dev,
 libglib2.0-dev,
 libjson-glib-dev,
 meson,
 pkgconf,
Standards-Version: 4.6.2
Section: libs
Homepage: https://gitlab.gnome.org/World/Phosh/gmobile/
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/gmobile
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/gmobile.git
Rules-Requires-Root: no

Package: libgmobile-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 gir1.2-gm-0 (= ${binary:Version}),
 libgmobile0 (= ${binary:Version}),
 libglib2.0-dev,
 libjson-glib-dev,
Description: Mobile related helpers - development headers
 gmobile is a library containing mobile related helpers for
 glib based projects.
 .
 This package contains the development headers.

Package: libgmobile0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Mobile related helpers - shared library
 gmobile is a library containing mobile related helpers for
 glib based projects.
 .
 This package contains the shared library.

Package: libgmobile-examples
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Mobile related helpers - binaries
 gmobile is a library containing mobile related helpers for
 glib based projects.
 .
 This package contains examples on how to use gmobile.

Package: gir1.2-gm-0
Architecture: any
Multi-Arch: same
Section: introspection
Depends:
 ${gir:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Description: GObject introspection data for gmobile
 gmobile is a library containing mobile related helpers for
 glib based projects.
 .
 This package contains introspection data for the gmoible library.

Package: libgmobile-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: libglib2.0-doc,
Suggests: devhelp
Description: documentation for the gmobile library
 gmobile is a library containing mobile related helpers for
 glib based projects.
 .
 This package contains the HTML documentation for the gmobile library.

## gmobile 0.2.0

=== debian/changelog ===
gmobile (0.2.0-2) unstable; urgency=medium

  * Source only upload after NEW processing
  * data: Add wakeup key info for OnePlus 6/6T

 -- Guido Günther <agx@sigxcpu.org>  Mon, 27 May 2024 07:21:05 +0200

gmobile (0.2.0-1) unstable; urgency=medium

  * New upstream release
  * Add common package.
    It contains udev rules and hwdb entries
  * Add salsa-ci

 -- Guido Günther <agx@sigxcpu.org>  Sat, 11 May 2024 09:44:24 +0200

## gmobile 0.2.1

=== debian/changelog ===
gmobile (0.2.1-1) unstable; urgency=medium

  * New upstream release
  * Drop patches. Applied upstream.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 22 Jun 2024 10:26:55 +0200

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  libjson-glib-dev,
  meson,
  pkgconf,
+ python3-docutils <!nodoc>,
 Standards-Version: 4.6.2
 Section: libs
 Homepage: https://gitlab.gnome.org/World/Phosh/gmobile/
@@ -39,11 +40,24 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
+ libgmobile-common (>= ${source:Version}),
 Description: Mobile related helpers - shared library
  gmobile is a library containing mobile related helpers for
  glib based projects.
  .
  This package contains the shared library.
+
+Package: libgmobile-common
+Section: misc
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Recommends: libgmobile0
+Description: common files for the gmobile library
+ gmobile is a library containing mobile related helpers for
+ glib based projects.
+ .
+ This package contains common files like the hwdb and udev rules.
 
 Package: libgmobile-examples
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CONFIGURE_OPTS  = -Dexamples=true -Dgtk_doc=true
CONFIGURE_OPTS += -Dtests=$(if $(filter nocheck,$(DEB_BUILD_PROFILES)),false,true)
CONFIGURE_OPTS += -Dgtk_doc=$(if $(filter nodoc,$(DEB_BUILD_PROFILES)),false,true)
CONFIGURE_OPTS += -Dman=$(if $(filter nodoc,$(DEB_BUILD_PROFILES)),false,true)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_OPTS)

=== debian/tests/control ===
Tests: build-test
Depends: libgmobile-dev, pkgconf, build-essential
Restrictions: allow-stderr, superficial

Test-Command: gm-display-panel-preview -c purism,librem5
Depends: libgmobile-examples
Restrictions: superficial

## gmobile 0.2.2

=== debian/changelog ===
gmobile (0.2.2-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version
  * Wrap and sort
  * symbols: Add new symbol

 -- Guido Günther <agx@sigxcpu.org>  Sat, 22 Mar 2025 08:46:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: gmobile
 Priority: optional
 Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
-Uploaders: Guido Günther <agx@sigxcpu.org>
+Uploaders:
+ Guido Günther <agx@sigxcpu.org>,
 Build-Depends:
  debhelper-compat (= 13),
  gi-docgen <!nodoc>,
@@ -11,7 +12,7 @@
  meson,
  pkgconf,
  python3-docutils <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Section: libs
 Homepage: https://gitlab.gnome.org/World/Phosh/gmobile/
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/gmobile
@@ -23,11 +24,11 @@
 Architecture: any
 Multi-Arch: same
 Depends:
+ gir1.2-gm-0 (= ${binary:Version}),
+ libglib2.0-dev,
+ libgmobile0 (= ${binary:Version}),
+ libjson-glib-dev,
  ${misc:Depends},
- gir1.2-gm-0 (= ${binary:Version}),
- libgmobile0 (= ${binary:Version}),
- libglib2.0-dev,
- libjson-glib-dev,
 Description: Mobile related helpers - development headers
  gmobile is a library containing mobile related helpers for
  glib based projects.
@@ -38,9 +39,9 @@
 Architecture: any
 Multi-Arch: same
 Depends:
+ libgmobile-common (>= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
- libgmobile-common (>= ${source:Version}),
 Description: Mobile related helpers - shared library
  gmobile is a library containing mobile related helpers for
  glib based projects.
@@ -51,8 +52,10 @@
 Section: misc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
-Recommends: libgmobile0
+Depends:
+ ${misc:Depends},
+Recommends:
+ libgmobile0,
 Description: common files for the gmobile library
  gmobile is a library containing mobile related helpers for
  glib based projects.
@@ -82,15 +85,18 @@
  gmobile is a library containing mobile related helpers for
  glib based projects.
  .
- This package contains introspection data for the gmoible library.
+ This package contains introspection data for the gmobile library.
 
 Package: libgmobile-doc
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
-Recommends: libglib2.0-doc,
-Suggests: devhelp
+Depends:
+ ${misc:Depends},
+Recommends:
+ libglib2.0-doc,
+Suggests:
+ devhelp,
 Description: documentation for the gmobile library
  gmobile is a library containing mobile related helpers for
  glib based projects.

=== debian/tests/control ===
Tests:
 build-test,
Depends:
 build-essential,
 libgmobile-dev,
 pkgconf,
Restrictions:
 allow-stderr,
 superficial,

Test-Command: gm-display-panel-preview -c purism,librem5
Depends:
 libgmobile-examples,
Restrictions:
 superficial,

## gmobile 0.3.0

=== debian/changelog ===
gmobile (0.3.0-1) unstable; urgency=medium

  * New upstream release.
    The actual library changes are fairly minimal (introducing two new symbols
    that nothing in Trixie will depend on) but the fact that upstream now ships
    the tests as installed tests makes this worthwhile for Trixie.
  * packaging: Install tests to examples
  * packaging: Add autopkgtest that runs the installed tests giving
    us non-superficial autopkgtests
  * Install vapi files
  * Add two new symbols

 -- Guido Günther <agx@sigxcpu.org>  Wed, 07 May 2025 18:30:35 +0200

gmobile (0.2.2-2) unstable; urgency=medium

  * libgmobile-common: Reload udev rules on package updates.
    Since we're part of a library we don't add a udev dependency.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 29 Mar 2025 16:44:36 +0100

## gmobile 0.3.1

=== debian/changelog ===
gmobile (0.3.1-1) unstable; urgency=medium

  * New upstream bugfix only release
    * Fix PinePhone hwdb entry (Closes: #1104911)
    * Fix corner radius on Oneplus 6
  * Drop patches. Applied upstream

 -- Guido Günther <agx@sigxcpu.org>  Thu, 29 May 2025 14:31:34 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  meson,
  pkgconf,
  python3-docutils <!nodoc>,
+ valac,
 Standards-Version: 4.7.2
 Section: libs
 Homepage: https://gitlab.gnome.org/World/Phosh/gmobile/

## gmobile 0.4.0

=== debian/changelog ===
gmobile (0.4.0-3) unstable; urgency=medium

  [ Santiago Vila ]
  * d/rules: Always build tests
    dh_auto_test will skip them when appropriate and
    we need them for the installed tests. (Closes: #1116742)

 -- Guido Günther <agx@sigxcpu.org>  Thu, 16 Oct 2025 09:25:27 +0200

gmobile (0.4.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Guido Günther <agx@sigxcpu.org>  Sat, 09 Aug 2025 12:34:19 +0200

gmobile (0.4.0-1) experimental; urgency=medium

  * Upload to experimental
  * New upstream release
    * Add MCC to ISO country code conversion.
    * Wakeup key support for:
      * Fairphone 5
      * FuriPhone FLX1
    * Display panel support for:
      * Fix border radius for OnePlus6
  * Add new library symbols

 -- Guido Günther <agx@sigxcpu.org>  Sun, 22 Jun 2025 11:03:40 +0200

=== debian/control ===
--- 
+++ 
@@ -57,6 +57,8 @@
  ${misc:Depends},
 Recommends:
  libgmobile0,
+Suggests:
+ udev,
 Description: common files for the gmobile library
  gmobile is a library containing mobile related helpers for
  glib based projects.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CONFIGURE_OPTS  = -Dexamples=true -Dgtk_doc=true
CONFIGURE_OPTS += -Dgtk_doc=$(if $(filter nodoc,$(DEB_BUILD_PROFILES)),false,true)
CONFIGURE_OPTS += -Dman=$(if $(filter nodoc,$(DEB_BUILD_PROFILES)),false,true)
CONFIGURE_OPTS += -Dinstalled_tests=$(if $(filter noinsttests,$(DEB_BUILD_PROFILES)),false,true)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_OPTS)

=== debian/tests/control ===
--- 
+++ 
@@ -13,3 +13,14 @@
  libgmobile-examples,
 Restrictions:
  superficial,
+
+Tests:
+ installed-tests,
+Restrictions:
+ allow-stderr,
+Depends:
+ dbus,
+ gnome-desktop-testing,
+ libgmobile-examples,
+ xauth,
+ xvfb,

## gmobile 0.5.0

=== meson_options.txt ===
--- 
+++ 
@@ -5,6 +5,10 @@
 option('tests',
        type: 'boolean', value: true,
        description: 'Whether to compile unit tests')
+
+option('installed_tests',
+       type: 'boolean', value: false,
+       description: 'Whether to install the tests')
 
 option('gtk_doc',
        type: 'boolean', value: false,
@@ -17,6 +21,9 @@
 option('introspection', type: 'boolean', value: true,
        description : 'Build introspection data (requires gobject-introspection)')
 
+option('vapi', type: 'boolean', value: true,
+       description : 'Build vapi (requires introspection)')
+
 option('hwdb',
        type: 'boolean', value: true,
        description : 'Whether to install udev rules and hwdb entries')

=== debian/changelog ===
gmobile (0.5.0-1) unstable; urgency=medium

  * New upstream release
    * Add display information for Fairphone 6
    * Allow to run gm-display-panel-run-phosh headless allowing one to use
      the tool with compositors that restrict window sizes and in ci.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 09 Nov 2025 19:25:46 +0100

## gmobile 0.6.0~beta1

=== debian/changelog ===
gmobile (0.6.0~beta1-1) unstable; urgency=medium

  * New upstream release
    * Allow for different corner radii
    * Add hwdb and udev rule to configure minimum torch brightness
    * Oneplus 6: Use different corner radii for top and bottom
    * Leak fixes
  * Update symbols

 -- Guido Günther <agx@sigxcpu.org>  Thu, 18 Dec 2025 15:30:17 +0100

## gmobile 0.6.0

=== debian/changelog ===
gmobile (0.6.0-1) unstable; urgency=medium

  * New upstream release

 -- Guido Günther <agx@sigxcpu.org>  Wed, 24 Dec 2025 16:21:38 +0100
